> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reworkd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Local Storage



## OpenAPI

````yaml https://api.reworkd.dev/api/openapi.json get /v1/local-storage
openapi: 3.1.0
info:
  title: Reworkd Scraping API
  description: API for interacting with your Web Data
  contact:
    name: Reworkd
    url: https://reworkd.ai/
    email: founders@reworkd.ai
  version: 0.1.0
servers:
  - url: https://api.reworkd.dev
security: []
paths:
  /v1/local-storage:
    get:
      tags:
        - Public
      summary: Get Local Storage
      operationId: get_local_storage_v1_local_storage_get
      parameters:
        - name: domain
          in: query
          required: true
          schema:
            type: string
            title: Domain
          example: example.com
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LocalStorage'
                title: Response Get Local Storage V1 Local Storage Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    LocalStorage:
      properties:
        id:
          type: integer
          title: Id
        organization_id:
          type: integer
          title: Organization Id
        group_id:
          type: integer
          minimum: 0
          title: Group Id
          default: 0
        domain:
          type: string
          title: Domain
        path:
          type: string
          title: Path
          default: /
        key:
          type: string
          title: Key
        value:
          type: string
          title: Value
        expires:
          type: string
          format: date-time
          title: Expires
        create_date:
          type: string
          format: date-time
          title: Create Date
        update_date:
          type: string
          format: date-time
          title: Update Date
      type: object
      required:
        - organization_id
        - domain
        - key
        - value
        - expires
      title: LocalStorage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````